package com.ifish.validator;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;


/**
 * 增加经验值或金币值参数
 * @author Administrator
 *
 */
public class AddValueParam{
	
	/**
	 * 规则类型
	 */
	@NotBlank
	@Length(max=20,min=3)
	private String ruleType;
	/**
	 * 用户ID
	 */
	@NotNull
	@Min(1)
	private Integer userId;
	
	public AddValueParam() {}
	
	public AddValueParam(String ruleType, Integer userId) {
		this.ruleType = ruleType;
		this.userId = userId;
	}
	
	public String getRuleType() {
		return ruleType;
	}
	public void setRuleType(String ruleType) {
		this.ruleType = ruleType;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	
}
